# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see https://www.gnu.org/licenses/.

[Unit]
Description = Goupile eCRF (%i)
Documentation = https://goupile.fr/
Wants = network-online.target
After = network-online.target

[Service]
Type = notify
User = {{ goupile_run_user }}
Group = {{ goupile_run_group }}
RuntimeDirectory = goupile
RuntimeDirectoryPreserve = yes
ExecStart = {{ goupile_root_path }}/domains/%i/goupile {{ '--sandbox' if goupile_sandbox else '' }}
WorkingDirectory = {{ goupile_root_path }}/domains/%i
Restart = always
RestartSec = 20
TimeoutStopSec = 30
LimitNOFILE = 4096

{% if goupile_sandbox %}
# Allow Goupile to manipulate namespaces despite
# kernel.unprivileged_userns_clone=0.
SecureBits = keep-caps
CapabilityBoundingSet = CAP_SYS_ADMIN
AmbientCapabilities = CAP_SYS_ADMIN
{% endif %}

[Install]
WantedBy = multi-user.target
